Bug 801285 - [3.3.0qa26]geo-replication status says faulty with OSError: [Errno 103] Software caused connection abort
[3.3.0qa26]geo-replication status says faulty with OSError: [Errno 103] Softw...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: geo-replication (Show other bugs)
mainline
x86_64 Linux
urgent Severity urgent
: ---
: ---
Assigned To: Csaba Henk
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-08 02:46 EST by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:55:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-03-08 02:46:59 EST
Description of problem:when geo-replication session is started between master and a slave, master being distribute volume wit h2 brick and slave being local directory. 


Log messages says. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.[root@RHEL6 ~]# gluster volume geo-replication doa /root/geo start 
Starting geo-replication session between doa & /root/geo has been successful
 
2. gluster volume geo-replication doa /root/geo status
MASTER               SLAVE                                              STATUS    
--------------------------------------------------------------------------------
doa                  /root/geo                                          faulty   

Additional info: Log message says ..


[2012-03-08 02:15:40.387731] I [monitor(monitor):80:monitor] Monitor: ------------------------------------------------------------
[2012-03-08 02:15:40.387988] I [monitor(monitor):81:monitor] Monitor: starting gsyncd worker
[2012-03-08 02:15:40.435831] I [gsyncd:355:main_i] <top>: syncing: gluster://localhost:doa -> file:///root/geo
[2012-03-08 02:15:44.842540] I [syncdutils:142:finalize] <top>: exiting.
[2012-03-08 02:15:44.842988] I [syncdutils(monitor):142:finalize] <top>: exiting.
[2012-03-08 02:40:34.45634] I [monitor(monitor):21:set_state] Monitor: new state: starting...
[2012-03-08 02:40:34.103710] I [monitor(monitor):80:monitor] Monitor: ------------------------------------------------------------
[2012-03-08 02:40:34.103902] I [monitor(monitor):81:monitor] Monitor: starting gsyncd worker
[2012-03-08 02:40:34.152475] I [gsyncd:355:main_i] <top>: syncing: gluster://localhost:doa -> file:///root/geo
[2012-03-08 02:40:39.391252] I [master:283:crawl] GMaster: new master is 4ffc3c73-37c4-44f5-ad23-fcfc423b6946
[2012-03-08 02:40:39.391460] I [master:287:crawl] GMaster: primary master with volume id 4ffc3c73-37c4-44f5-ad23-fcfc423b6946 ...
[2012-03-08 02:40:40.789176] E [syncdutils:184:log_raise_exception] <top>: FAIL: 
Traceback (most recent call last):
  File "/usr/local/libexec/glusterfs/python/syncdaemon/gsyncd.py", line 115, in main
    main_i()
  File "/usr/local/libexec/glusterfs/python/syncdaemon/gsyncd.py", line 366, in main_i
    local.service_loop(*[r for r in [remote] if r])
  File "/usr/local/libexec/glusterfs/python/syncdaemon/resource.py", line 740, in service_loop
    GMaster(self, args[0]).crawl_loop()
  File "/usr/local/libexec/glusterfs/python/syncdaemon/master.py", line 142, in crawl_loop
    self.crawl()
  File "/usr/local/libexec/glusterfs/python/syncdaemon/master.py", line 303, in crawl
    xtl = self.xtime(path)
  File "/usr/local/libexec/glusterfs/python/syncdaemon/master.py", line 83, in xtime
    rsc.server.set_xtime(path, self.uuid, xt)
  File "/usr/local/libexec/glusterfs/python/syncdaemon/resource.py", line 229, in ff
    return f(*a)
  File "/usr/local/libexec/glusterfs/python/syncdaemon/resource.py", line 336, in set_xtime
    Xattr.lsetxattr(path, '.'.join([cls.GX_NSPACE, uuid, 'xtime']), struct.pack('!II', *mark))
  File "/usr/local/libexec/glusterfs/python/syncdaemon/libcxattr.py", line 56, in lsetxattr
    cls.raise_oserr()
  File "/usr/local/libexec/glusterfs/python/syncdaemon/libcxattr.py", line 25, in raise_oserr
    raise OSError(errn, os.strerror(errn))
OSError: [Errno 103] Software caused connection abort
[2012-03-08 02:40:40.790152] I [syncdutils:142:finalize] <top>: exiting.
[2012-03-08 02:40:41.294928] I [monitor(monitor):21:set_state] Monitor: new state: faulty
Comment 1 Anand Avati 2012-03-08 04:30:43 EST
CHANGE: http://review.gluster.com/2898 (xlator/lib: fix spurious STACK_UNWIND) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.